<template>
  <div id="header-container">
    <div id="tempheader">
      <!-- <img :src="require('../assets/logo.png')" alt='Logo' width=209 height=125/> -->
      <img :src="require('../assets/logo2.png')" alt="Logo" width="240" height="106">
      <div id="descriptor">
        <h1>ДОСТАВКА ПИЦЦЫ. МОСКВА</h1>
        <h1>При покупке двух любых пицц, третья в подарок!</h1>
      </div>
      <div id="social-links">
        <!-- <a href="https://vk.com/mapizza" target="_blank">
                        <img class="icon" :src='require("../assets/svg_vk.svg")' />
        </a>-->
        <a href="https://www.facebook.com/motsnapizza/" target="_blank">
          <img class="icon" :src="require('../assets/svg_facebook.svg')">
        </a>
        <a href="https://www.instagram.com/mapizza.ru/" target="_blank">
          <img class="icon" :src="require('../assets/svg_instagram.svg')">
        </a>
      </div>

      <div id="phone">
        <a v-if="getPage.polygonId != '2'" href="tel:+74957921700">
          <h2>НАГАТИНСКАЯ: +7 (495) 792-17-00</h2>
          <h2 v-if="getPage.polygonId == '1'">1-й Нагатинский пр. 11к2</h2>
        </a>
        <a v-if="getPage.polygonId != '1'" href="tel:+74959685644">
          <h2>ЮГО-ЗАПАДНАЯ: +7 (495) 968-56-44</h2>
          <h2 v-if="getPage.polygonId == '2'">Академика Анохина 2к1</h2>
        </a>
      </div>
    </div>

    <div id="header">
      <div id="header-menu">
        <!-- <app-header-link
                url="/main"
                text="^"
                v-scroll-to='{el: "#categ-common-pizza", offset: longOffset}'
        />-->
        <app-header-link
          v-for="categ in getCategories"
          :key="categ.id"
          :url="'catalog'"
          :text="categ.text | uppercase"
          :id="categ.id"
          v-scroll-to="{el: '#categ-'+categ.id, offset: shortOffset}"
        />
        <app-header-link url="contacts" text="КОНТАКТЫ"/>
      </div>
      <div id="cart-link" v-if="this.$store.state.ordered.length > 0">
        <app-header-link
          url="order"
          :text="`В корзине ${getOrderItemsCount} шт. на ${getOrderSum} ₽`"
        />
      </div>
    </div>
  </div>
</template>

<script>
import HeaderLink from "./HeaderLink";
import { mapGetters, mapMutations } from "vuex";
export default {
  data() {
    return {
      shortOffset: -50,
      longOffset: -200
    };
  },

  components: {
    "app-header-link": HeaderLink
  },

  created() {
    window.addEventListener("scroll", this.handleScroll);
  },

  beforeDestroy() {
    window.removeEventListener("scroll", this.handleScroll);
  },

  methods: {
    ...mapMutations(["filterByCategory"]),
    handleScroll(event) {
      const scrolled = window.pageYOffset || document.documentElement.scrollTop;
      const tempheader = document.getElementById("tempheader");
      if (scrolled > 3 * tempheader.offsetHeight) return;
      const menu = document.getElementById("header");
      const catalog = document.getElementById("body-container");
      catalog.style.marginTop =
        tempheader.offsetHeight + menu.offsetHeight + "px";
      this.shortOffset = 0 - menu.offsetHeight;
      this.longOffset = 0 - menu.offsetHeight - tempheader.offsetHeight;

      let header = document.getElementById("header-container");
      if (scrolled > tempheader.offsetHeight) {
        header.style.top = 0 - tempheader.offsetHeight + "px";
      } else {
        header.style.top = 0 - scrolled + "px";
      }
    }
  },

  computed: {
    ...mapGetters([
      "getOrderItemsCount",
      "getOrderSum",
      "getCategories",
      "isMobile",
      "firstRoute",
      "getPage"
    ])
  }
};
</script>

<style scoped>
.icon {
  width: 20px;
  height: 20px;
}
#social-links {
  margin-top: 10px;
  min-width: 70px;
  text-align: right;
}
#social-links a {
  margin-left: 10px;
}

h1 {
  font-size: 1.2em;
  padding-left: 15px;
  padding-top: 5px;
  text-align: left;
}

h2 {
  font-size: 1em;
  padding-left: 5px;
  padding-right: 5px;
  padding-top: 5px;
}

h3 {
  font-size: 1.2em;
}

#descriptor {
  width: 480px;
}

#phone {
  text-align: right;
  min-width: 300px;
}

#header-container {
  position: fixed;
  top: 0;
  width: 90vw;
  max-width: 1180px;
  min-width: 1000px;
}

#tempheader {
  display: flex;
  flex-flow: row nowrap;
  width: 100%;
  justify-content: space-between;
  align-items: center;
  background-color: white;
  z-index: 100;
}

#header {
  display: flex;
  width: 100%;
  max-width: 90vw;
  background-color: white;
  flex-flow: row wrap;
  justify-content: space-between;
  align-items: center;
  box-shadow: 0px 5px 5px -4px #777;
  padding-bottom: 10px;
  padding-top: 10px;
  z-index: 100;
}

#header-menu {
  text-align: left;
  display: flex;
  flex-flow: row wrap;
}

#cart-link {
  text-align: right;
}

#cart-link a {
  border: none;
  padding: 7px;
  border-radius: 10px;
  background-color: #f0712c;
  color: white;
  width: 250px;
  transition: all 0.1s ease;
}

#cart-link a:hover {
  background-color: #de601b;
}
</style>



